import * as Cache from "./Cache";
import ILogger from "./ILogger";
export interface IConfigBase {
    sdkKey: string;
    baseUrl?: string;
    configUrl?: string;
    cache?: Cache.ICache;
    logger: ILogger;
    consoleLog: boolean;
    localConfigData?: string;
    Version: string;
    buildUrl(): string;
}
export declare abstract class ConfigBase implements IConfigBase {
    sdkKey: string;
    Version: string;
    cache?: Cache.ICache;
    logger: ILogger;
    consoleLog: boolean;
    readonly baseUrl: string;
    configUrl?: string;
    localConfigData?: string;
    private readonly API_VERSION;
    constructor(_sdkKey: string, _options: IConfigBase);
    buildUrl(): string;
}
