/// <reference types="node" />
import { EventEmitter } from "events";
import { ICache } from "./Cache";
import { IConfigBase } from "./ConfigBase";
export declare abstract class ServiceBase extends EventEmitter {
    protected config: IConfigBase;
    protected cache: ICache;
    constructor(_config: IConfigBase);
    /**
     * Fetch environment data from the server
     * Check if the data has been modified and if not return from cache
     * @param callback
     */
    FetchRemote(callback: (value: any) => void): void;
    FetchLocal(): any;
    private validateJson;
}
