"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.User = void 0;
var User = /** @class */ (function () {
    function User(_id, _customAttributes) {
        this.customAttributes = {};
        if (_id === undefined || _id === null || _id === "" || typeof (_id) != "string") {
            throw new Error("User must be created with a unique id");
        }
        this.id = _id;
        if (_customAttributes != undefined) {
            // Convert attribute keys to lowercase
            var customAttributes = Object.keys(_customAttributes)
                .reduce(function (destination, key) {
                destination[key.toLowerCase()] = _customAttributes[key];
                return destination;
            }, {});
            if (customAttributes['email'] != undefined && customAttributes['email'] != null && typeof customAttributes['email'] === "string") {
                this.email = customAttributes['email'];
            }
            if (customAttributes['name'] != undefined && customAttributes['name'] != null && typeof customAttributes['name'] === "string") {
                this.name = customAttributes['name'];
            }
            this.customAttributes = customAttributes;
        }
    }
    Object.defineProperty(User.prototype, "Id", {
        get: function () {
            return this.id;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(User.prototype, "Email", {
        get: function () {
            return this.email;
        },
        set: function (value) {
            this.email = value;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(User.prototype, "Name", {
        get: function () {
            return this.name;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(User.prototype, "CustomAttributes", {
        get: function () {
            return this.customAttributes;
        },
        enumerable: false,
        configurable: true
    });
    return User;
}());
exports.User = User;
