"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createFloodgateUser = exports.createUser = exports.createAutoUpdateClient = exports.createClient = void 0;
var FloodGateClient_1 = require("./FloodGateClient");
var AutoUpdateConfig_1 = require("./AutoUpdateConfig");
var User_1 = require("./User");
function createClient(_sdkKey) {
    var config = {
        sdkKey: _sdkKey,
        refreshInterval: 60
    };
    return createAutoUpdateClient(_sdkKey, config);
}
exports.createClient = createClient;
function createAutoUpdateClient(_sdkKey, _config) {
    return new FloodGateClient_1.FloodGateClient(new AutoUpdateConfig_1.AutoUpdateConfig(_sdkKey, _config));
}
exports.createAutoUpdateClient = createAutoUpdateClient;
/* @deprecated */
function createUser(_id, _email, _customAttributes) {
    // Merge email into customAttributes
    if (_email != undefined && _email != null && _email.length > 0) {
        if (_customAttributes == undefined) {
            _customAttributes = {
                Email: _email
            };
        }
        else {
            _customAttributes['email'] = _email;
        }
    }
    return new User_1.User(_id, _customAttributes);
}
exports.createUser = createUser;
function createFloodgateUser(_id, _customAttributes) {
    return new User_1.User(_id, _customAttributes);
}
exports.createFloodgateUser = createFloodgateUser;
